ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
_snd_ump_msg_set_metronome Struct Reference

`#include <ump_msg.h>`

## Data Fields
uint8_t | type:4
uint8_t | group:4
uint8_t | format:2
uint8_t | addrs:2
uint8_t | channel:4
uint8_t | status_bank
uint8_t | status
uint8_t | clocks_primary
uint8_t | bar_accent_1
uint8_t | bar_accent_2
uint8_t | bar_accent_3
uint8_t | subdivision_1
uint8_t | subdivision_2
uint16_t | reserved1
uint32_t | reserved2

## Detailed Description

Set Metronome Message (128bit)

## Field Documentation

## ◆ addrs

uint8_t _snd_ump_msg_set_metronome::addrs

Address

## ◆ bar_accent_1

uint8_t _snd_ump_msg_set_metronome::bar_accent_1

Bar accent part 1

## ◆ bar_accent_2

uint8_t _snd_ump_msg_set_metronome::bar_accent_2

Bar accent part 2

## ◆ bar_accent_3

uint8_t _snd_ump_msg_set_metronome::bar_accent_3

Bar accent part 3

## ◆ channel

uint8_t _snd_ump_msg_set_metronome::channel

Channel

## ◆ clocks_primary

uint8_t _snd_ump_msg_set_metronome::clocks_primary

Num clocks per primary clock

## ◆ format

uint8_t _snd_ump_msg_set_metronome::format

Format

## ◆ group

uint8_t _snd_ump_msg_set_metronome::group

UMP Group

## ◆ reserved1

uint16_t _snd_ump_msg_set_metronome::reserved1

Unused

## ◆ reserved2

uint32_t _snd_ump_msg_set_metronome::reserved2

Unused

## ◆ status

uint8_t _snd_ump_msg_set_metronome::status

Status

## ◆ status_bank

uint8_t _snd_ump_msg_set_metronome::status_bank

Status Bank

## ◆ subdivision_1

uint8_t _snd_ump_msg_set_metronome::subdivision_1

Num subdivision clicks 1

## ◆ subdivision_2

uint8_t _snd_ump_msg_set_metronome::subdivision_2

Num subdivision clicks 1

## ◆ type

uint8_t _snd_ump_msg_set_metronome::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h